const express = require("express");
const Catagory = require("../controllers/catagory");
const router = express.Router();

router.post("/addnew", Catagory.postNew);
router.put("/update/:id", Catagory.update);

router.patch("/AddSubCatagory", Catagory.AddSubCat);

router.get("/GetAllCatagory", Catagory.GetAllCatagory);
router.get("/getSingleProduct/:id", Catagory.GetSingle);
router.get("/getDataByID/:id", Catagory.getDataByID);
router.delete("/DeleteSingle/:id", Catagory.DeleteSingl);
router.put("/updateCatagorySequence",Catagory.updateCatagorySequence);

module.exports = router;    